Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.diagnostics
Class AbstractReportTask

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.diagnostics.AbstractReportTask

All Implemented Interfaces:
  groovy.lang.GroovyObject, java.lang.Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task

Direct Known Subclasses:
  DependencyReportTask, PropertyReportTask, TaskReportTask

    public abstract class AbstractReportTask

extends org.gradle.api.internal.ConventionTask

The base class for all project report tasks.

Field Summary

Fields inherited from interface org.gradle.api.Task
`AUTOSKIP_PROPERTY_PREFIX, TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`AbstractReportTask()`

Method Summary
`void` | `generate()`
`protected abstract void` | `generate(Project project)`
`java.io.File` | `getOutputFile()` Returns the file which the report will be written to.
`protected abstract ProjectReportRenderer` | `getRenderer()`
`void` | `setOutputFile(java.io.File outputFile)` Sets the file which the report will be written to.

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.DefaultTask
`configure, doFirst, doLast, leftShift`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getOutput, getPath, getProject, getStandardOutputCapture, getTaskDependencies, hashCode, hasProperty, injectIntoNextInstance, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setOutputHandler, setProject, setProperty, setStandardOutputCapture, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface groovy.lang.GroovyObject
`getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

Constructor Detail

### AbstractReportTask

    public AbstractReportTask()

Method Detail

### generate

    public void generate()

### getRenderer

    protected abstract ProjectReportRenderer getRenderer()

### generate

    protected abstract void generate(Project project)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getOutputFile

    public java.io.File getOutputFile()

  Returns the file which the report will be written to. When set to null, the report is written to stdout.

  Returns:
    The output file. May be null.

### setOutputFile

    public void setOutputFile(java.io.File outputFile)

  Sets the file which the report will be written to. Set this to null to write the report to stdout.

  Parameters:
    `outputFile` - The output file. May be null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD